package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.BarPackageDetail;

public class BarPackageDownDtail {
	private Long pd_id;
	private String pd_outboxcode;
	private String pd_innerboxcode;
	private String pd_barcode;
	private Double pd_innerqty;
	public Long getPd_id() {
		return pd_id;
	}
	
	public String getPd_outboxcode() {
		return pd_outboxcode;
	}

	public void setPd_outboxcode(String pd_outboxcode) {
		this.pd_outboxcode = pd_outboxcode;
	}

	public String getPd_innerboxcode() {
		return pd_innerboxcode;
	}

	public void setPd_innerboxcode(String pd_innerboxcode) {
		this.pd_innerboxcode = pd_innerboxcode;
	}

	public String getPd_barcode() {
		return pd_barcode;
	}

	public void setPd_barcode(String pd_barcode) {
		this.pd_barcode = pd_barcode;
	}

	public Double getPd_innerqty() {
		return pd_innerqty;
	}

	public void setPd_innerqty(Double pd_innerqty) {
		this.pd_innerqty = pd_innerqty;
	}

	public void setPd_id(Long pd_id) {
		this.pd_id = pd_id;
	}

	public BarPackageDownDtail(BarPackageDetail barPackageDetail) {
		this.pd_id = barPackageDetail.getId();
		this.pd_barcode = barPackageDetail.getBarcode();
		this.pd_innerboxcode = barPackageDetail.getInnerboxcode();
		this.pd_innerqty = barPackageDetail.getInnerqty();
		this.pd_outboxcode = barPackageDetail.getOutboxcode();
	}
	
}
